=== debian/changelog ===
deepin-music (7.0.27) unstable; urgency=medium

  * Update version to 7.0.27

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:17:13 +0800

deepin-music (7.0.26) unstable; urgency=medium

  * New version 7.0.26 

 -- Liu zheng <liuzheng@uniontech.com>  Tue, 29 Apr 2025 16:35:57 +0800

deepin-music (7.0.25) unstable; urgency=medium

  * chore: New version 7.0.25

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Apr 2025 16:19:17 +0800

deepin-music (7.0.24) unstable; urgency=medium

  * chore: New version 7.0.24 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 02 Apr 2025 19:15:32 +0800

deepin-music (7.0.23) unstable; urgency=medium

  * chore: New version 7.0.23. 

 -- Liu zheng <liuzheng@uniontech.com>  Thu, 27 Mar 2025 20:21:49 +0800

deepin-music (7.0.22) unstable; urgency=medium

  * chore: New version 7.0.22.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 20 Mar 2025 18:48:26 +0800

deepin-music (7.0.21) unstable; urgency=medium

  * chore: New version 7.0.21.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 19:50:07 +0800

deepin-music (7.0.20) unstable; urgency=medium

  * chore: update linglong version (#543)
  * fix: add isPlayAll property and update translations (#544)
  * fix: update UI components layout and playAll button state(Bug: 281269)
  * fix: improve data loading in album and artist sublist views (#546)
  * feat: add delete finished signal and improve list item background visibility (#547)
  * fix: add conditional text for menu items based on context (#548)
  * fix: add force play for empty metaHash in musicResult playlist (#549)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:14:21 +0800

deepin-music (7.0.19) unstable; urgency=medium

  * chore: New version 7.0.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:20:44 +0800

deepin-music (7.0.18) unstable; urgency=medium

  * chore: New version 7.0.18.
  * chore: Adapt linglong.

 -- wangrong <wangrong@uniontech.com>  Sat, 08 Feb 2025 15:13:35 +0800

deepin-music (7.0.17) unstable; urgency=medium

  * chore: New version 7.0.17.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 17 Jan 2025 10:47:40 +0800

deepin-music (7.0.16) unstable; urgency=medium

  * chore: New version 7.0.16.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:52:01 +0800

deepin-music (7.0.15) unstable; urgency=medium

  * New version 7.0.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 11:00:21 +0800

deepin-music (7.0.14) unstable; urgency=medium

  * New version 7.0.14

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 14:51:30 +0800

deepin-music (7.0.13) unstable; urgency=medium

  * New version 7.0.13

 -- Liu zheng <liuzheng@uniontech.com>  Sat, 30 Nov 2024 13:06:11 +0800

deepin-music (7.0.12) unstable; urgency=medium

  * New version 7.0.12

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 22 Nov 2024 16:12:33 +0800

deepin-music (7.0.11) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:41:49 +0800

deepin-music (7.0.10) unstable; urgency=medium

  * New version 7.0.10

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Oct 2024 16:02:41 +0800

deepin-music (7.0.9) unstable; urgency=medium

  * New version 7.0.9

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Sep 2024 13:53:29 +0800

deepin-music (7.0.8) unstable; urgency=medium

  * New version 7.0.8

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 05 Sep 2024 10:48:56 +0800

deepin-music (7.0.7) unstable; urgency=medium

  * New version 7.0.7

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

deepin-music (7.0.6) unstable; urgency=medium

  * New version 7.0.5
  * Compatible with QT6 version
  * Add music animation effects

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 15 Aug 2024 17:45:22 +0800

deepin-music (7.0.5) unstable; urgency=medium

  * New version 7.0.5
  * fix: wrong format dci with checked
  * fix: Fix lyrics page with no dark mode(Bug: 248325)

 -- lijiaxuan <lijiaxuan@uniontech.com>  Fri, 12 Apr 2024 17:03:33 +0800

deepin-music (7.0.4) unstable; urgency=medium

  * New version 7.0.4

 -- wang fei <wangfei@deepin.org>  Tue, 19 Mar 2024 15:01:32 +0800

deepin-music (7.0.3) unstable; urgency=medium

  * New version 7.0.3

 -- fengli <fengli@uniontech.com>  Wed, 30 Aug 2023 10:19:12 +0800

deepin-music (7.0.2) unstable; urgency=medium

  * New version 7.0.2

 -- fengli <fengli@uniontech.com>  Thu, 5 Jan 2023 11:19:26 +0000

deepin-music (7.0.1) unstable; urgency=low

  * New version 7.0.1

 -- wangyu <wangyu@uniontech.com>  Fri, 10 Jun 2022 16:20:26 +0000
