=== src/CMakeLists.txt ===
add_subdirectory(music-player)
add_subdirectory(libdmusic)
