=== debian/changelog ===
deepin-music (7.0.32) unstable; urgency=medium

  * fix: Update music section headers in translation files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:29:20 +0800

deepin-music (7.0.31) unstable; urgency=medium

  * Update version to 7.0.31

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:08:53 +0800

deepin-music (7.0.30) unstable; urgency=medium

  * fix debug log

 -- liuzheng <liuzheng@uniontech.com>  Sun, 22 Jun 2025 00:35:05 +0800

deepin-music (7.0.29) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:53:22 +0800

deepin-music (7.0.28) unstable; urgency=medium

  * Update version to 7.0.28 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 22 May 2025 16:05:38 +0800
