=== debian/changelog ===
deepin-music (7.0.40) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 09:27:08 +0800

deepin-music (7.0.39) unstable; urgency=medium

  * fix: music player crash issue

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 15 Jul 2025 10:24:15 +0800

deepin-music (7.0.38) unstable; urgency=medium

  * chore: Update version to 7.0.37
  * resolve compile error

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 11 Jul 2025 09:48:53 +0800

deepin-music (7.0.37) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 16:54:30 +0800

deepin-music (7.0.36) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:37:34 +0800

deepin-music (7.0.35) unstable; urgency=medium

  * fix: Update toolbar implementation to avoid inheriting from FloatPanel

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 03 Jul 2025 16:21:23 +0800

deepin-music (7.0.34) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 10:30:00 +0800

deepin-music (7.0.33) unstable; urgency=medium

  * chore: update translation

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 01 Jul 2025 19:23:43 +0800
