## deepin-music 7.0.44

=== debian/changelog ===
deepin-music (7.0.44) unstable; urgency=medium

  * fix: Replace Control with FloatingPanel in Toolbar.qml

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 14 Aug 2025 13:27:30 +0800

deepin-music (7.0.43) unstable; urgency=medium

  * chore: Add Lao translation 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:01:45 +0800

deepin-music (7.0.42) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:42:23 +0800

deepin-music (7.0.41) unstable; urgency=medium

  * chore: Fix tag encoding detection for older TagLib versions

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 05 Aug 2025 20:54:05 +0800
