## deepin-music 7.0.47

=== tests/CMakeLists.txt ===
add_subdirectory(tst_music-player)
add_subdirectory(libdmusic-test)
