=== debian/changelog ===
deepin-music (7.0.47) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Thu, 18 Sep 2025 19:26:39 +0800

deepin-music (7.0.46) unstable; urgency=medium

  *  fix: Save database after importing songs and creating playlists

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 11 Sep 2025 09:55:48 +0800

deepin-music (7.0.45) unstable; urgency=medium

  * fix: Overlapping Interface Controls Issue

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 04 Sep 2025 20:16:31 +0800
