=== debian/control ===
Source: deepin-music
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
 libavutil-dev,
 libavcodec-dev,
 libavformat-dev,
 libdtk6core-bin,
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdbusextended-qt5-dev,
 libgsettings-qt-dev,
 libicu-dev,
 libmpris-qt6-dev,
 libtag1-dev,
 qt6-svg-dev,
 libqt6sql6-sqlite,
 libxtst-dev,
 libvlc-dev,
 libvlccore-dev,
 qt6-multimedia-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qml6-module-qtquick-dialogs,
 qt6-declarative-dev,
 libdtk6declarative-dev,
 qt6-5compat-dev,
 libsdl2-dev,
 libsdl1.2debian
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-music
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libvlc5,
 libdtk6declarative | libdtkdeclarative5,
 qml6-module-qt-labs-platform | qml-module-qt-labs-platform,
 qml6-module-qtquick-dialogs,
 gstreamer1.0-fluendo-mp3,
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 gvfs-bin,
 libqt6sql6-sqlite,
 vlc-plugin-base,
# 识别编码格式
 libuchardet0,
 libmpris-qt6,
 libsdl1.2debian
Description: Music software for UOS
 Music is a local music player with beautiful design and simple functions.
