## deepin-music 7.0.49

=== debian/changelog ===
deepin-music (7.0.49) unstable; urgency=medium

  * chore: Update version to 7.0.49
  * feat: Support mips64 linglong build
  * feat(ui): update volume control icons in toolbar
  * fix(ui): reduce floating message display duration
  * feat(ui): add keyboard shortcuts for music list selection and deletion

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 21 Nov 2025 08:48:04 +0800

deepin-music (7.0.48) unstable; urgency=medium

  * Update version to 7.0.48. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 16 Oct 2025 19:11:55 +0800
